+ Reply to Thread
Page 1 of 2 1 2 LastLast
Results 1 to 10 of 17
  1. #1
    Senior Member
    Using
    AutoCAD LT 2006
    Join Date
    Feb 2008
    Posts
    252

    Default unlocking a viewport

    Registered forum members do not see this ad.

    I'm in paper space, in a drawing I didn't create and, when I dbl. click in a viewport to open it and attempt a zoom, the entire paper space environment zooms, as if I was still in paper space, although the task bar tells me I'm in model space. Is this because the viewport is locked? If so, how do I unlock. I see nothing on screen regarding padlocks, except the tool bar/ window positions padlock.

    If it makes a difference, I'm in Acad 2006, not 2006 T.

    Thanks,

    Tim

  2. #2
    Super Moderator Cad64's Avatar
    Computer Details
    Cad64's Computer Details
    Operating System:
    Windows 7 Profesional x64
    Computer:
    XI Computers
    Motherboard:
    Asus P8Z77-V Pro
    CPU:
    Intel Core I7 3770K 4.1 Ghz Quad Core 3rd Gen
    RAM:
    24GB DDR3 @ 1333MHz
    Graphics:
    Nvidia GeForce GTX 570 1280MB GDDR5
    Primary Storage:
    SATAII 500GB 7200 RPM
    Secondary Storage:
    Western Digital My Book Studio Edition II - 2TB capacity
    Monitor:
    HPf2105 21" LCD Widescreen & Cintiq 21ux
    Discipline
    Multi-disciplinary
    Cad64's Discipline Details
    Occupation
    Freelance Digital Artist
    Discipline
    Multi-disciplinary
    Details
    3D model building, texturing and rendering. Photoshop Color Graphics.
    Using
    AutoCAD 2014
    Join Date
    Feb 2006
    Location
    Southern California
    Posts
    10,176

    Default

    Yes, your viewport is locked.

    To unlock it, double click outside the viewport to make sure you're in Paper Space. Then click on the viewport border to select it, right click and go to "Display Locked" and choose No.

    You can also lock and unlock your viewports from the Properties palette.
    CGSociety Portfolio: http://rdeweese.cgsociety.org/
    Facebook:
    https://www.facebook.com/rdeweese67/


    "Work Smart, Not Hard"

  3. #3
    Quantum Mechanic Lee Mac's Avatar
    Computer Details
    Lee Mac's Computer Details
    Operating System:
    Windows 7 Ultimate (32-bit)
    Discipline
    Multi-disciplinary
    Lee Mac's Discipline Details
    Discipline
    Multi-disciplinary
    Details
    Custom Programming / Software Customisation
    Using
    AutoCAD 2013
    Join Date
    Aug 2008
    Location
    London, England
    Posts
    19,368

    Default

    For convenience

    Code:
    (defun c:vpl ( / vp obj )
      ;; © Lee Mac  ~  08.06.10
      (vl-load-com)
    
      (terpri)
    
      (while
        (setq vp
          (SelectifFoo
            (lambda ( x / y ) (setq x (entget x))
              
              (if (and (setq y (member '(102 . "{ACAD_REACTORS") x))
                       (setq y (cdr (assoc 330 y))))
                
                (setq x (entget y))
              )
              (if (eq "VIEWPORT" (cdr (assoc 0 x))) (cdr (assoc -1 x)))
            )
            "\rSelect Viewport to Toggle: "
          )
        )
        (setq obj (vlax-ename->vla-object vp))
        (
          (lambda ( obj col / x )
            (vla-put-color obj col)
    
            (if (setq x (cdr (assoc 340 (entget (vlax-vla-object->ename obj)))))
              (vla-put-color (vlax-ename->vla-object x) col)
            )
          )
          obj
          (if (eq :vlax-true
                (progn
                  (vlax-put obj 'DisplayLocked
                    (~ (vlax-get obj 'DisplayLocked))
                  )
                  (vla-get-DisplayLocked obj)
                )
              )
            acRed acGreen
          )
        )
      )
      (princ)
    )
    
    (defun SelectifFoo ( foo str / sel ent )
      (while
        (progn
          (setq sel (entsel str))
          
          (cond
            (
              (vl-consp sel)
    
              (if (not (setq ent (foo (car sel))))
                (princ "\n** Invalid Object Selected **")
              )
            )
          )
        )
      )
      ent
    )
    Lee Mac ProgrammingTwitterExchange App StoreDropbox (500MB free)

    With Mathematics there is the possibility of perfect rigour, so why settle for less?

  4. #4
    Forum Newbie
    Using
    AutoCAD 2012
    Join Date
    Jun 2012
    Posts
    3

    Default

    I have the same problem, but I tried this and still can´t do it. the view port cannot be unlocked.
    it says "1 was not in the working set".
    please help me!!!

  5. #5
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,506

    Default

    Do you have a viewport within a viewport?

    Which method did you attempt to use that failed?

    Can you upload a copy of the drawing so we can have a look at it?
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  6. #6
    Luminous Being JD Mather's Avatar
    Using
    Inventor 2015
    Join Date
    Sep 2007
    Location
    Williamsport, PA
    Posts
    8,725

    Default

    Also check your PickFirst variable as if this is changed it won't allow you to unlock viewport.

    (...depending on how you are trying to do the unlocking. Make sure all of the viewport boundaries are on their own layers.)
    Certified SolidWorks Professional
    Autodesk Inventor 2015 Certified Professional
    Autodesk AutoCAD 2013 Certified Professional

  7. #7
    Forum Newbie
    Using
    AutoCAD 2012
    Join Date
    Jun 2012
    Posts
    3

    Default

    I did it, the value is 1

    i guess it has something to do with editing references... ( dont know what this is)
    but I guess at some point I did something wrong but I dont know where.

    I also tried to atach an image but it says hat its an external reference command

    so I guess im going to begin a new drawing

    thanks

  8. #8
    Quantum Mechanic ReMark's Avatar
    Computer Details
    ReMark's Computer Details
    Operating System:
    Windows 7 Pro 64-bit
    Computer:
    Thinkmate
    Motherboard:
    Intel DX58SO2 LGA1366 X58
    CPU:
    Intel i7-960 Quad-core 3.20GHz 8MB cache
    RAM:
    12GB (3x4GB) PC3-106000 DDR3
    Graphics:
    nVidia Quadro K4200, 4GB GDDR5
    Primary Storage:
    150GB Velocipraptor 10,000 rpm
    Secondary Storage:
    none
    Monitor:
    Dell P24LLH - 24" wide screen LCD
    Discipline
    See details...
    ReMark's Discipline Details
    Occupation
    CAD Draftsman/Designer...chemical manufacturing.
    Discipline
    See details below.
    Details
    I work for a specialty chemical manufacturer. I do a little bit of everything from P&IDs to civil to architectural and structural.
    Using
    AutoCAD 2018
    Join Date
    Nov 2005
    Location
    Norwalk, CT USofA
    Posts
    46,506

    Default

    Did you try using the IMAGEATTACH command?
    "I have only come here seeking knowledge. Things they wouldn't teach me of in college." The Police

    Eat brains...gain more knowledge!

    I'm now a full member of the Society for the Promotion of Mediocrity in CAD. Standards? We don't need no stinkin' standards! Take whatever advice I offer and do the opposite.

  9. #9
    Forum Newbie
    Using
    AutoCAD 2012
    Join Date
    Jun 2012
    Posts
    3

    Default

    yes, but it says in the command line that it is an external reference command. and does nothing.
    i closed the drawing without saving and opened again, it looks tha i have no more problem.

  10. #10
    Super Member
    Using
    AutoCAD LT 2014
    Join Date
    Sep 2008
    Posts
    545

    Default

    Registered forum members do not see this ad.

    Quote Originally Posted by Cad64 View Post
    Yes, your viewport is locked.
    You can also lock and unlock your viewports from the Properties palette.
    This must only work in full AutoCad, don't see anything on the palette about viewports.
    Glenn
    Using 2009LT

Similar Threads

  1. Unlocking layers
    By MiGo in forum AutoCAD General
    Replies: 6
    Last Post: 29th Jul 2015, 02:45 pm
  2. Problems unlocking BOM created in Excel in Acad2008
    By Danny in forum AutoCAD General
    Replies: 0
    Last Post: 2nd Sep 2009, 09:16 pm
  3. Unlocking Layer not displayed ?!
    By chavlji in forum AutoLISP, Visual LISP & DCL
    Replies: 15
    Last Post: 3rd Mar 2009, 12:24 pm
  4. Replies: 4
    Last Post: 25th Feb 2009, 05:25 pm
  5. Unlocking Cells!!!
    By ankers in forum AutoCAD Drawing Management & Output
    Replies: 4
    Last Post: 9th Apr 2008, 12:30 pm

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts